Subject: bug#47711: bug#48841: bug#47711: [PATCH VERSION 2] Add new `completion-filter-completions` API and deferred highlighting

From: Eli Zaretskii <[email-masked]>
Date: Mon, 16 Aug 2021 15:19:17 +0300

> From: João Távora <[email-masked]>
> Date: Mon, 16 Aug 2021 13:02:04 +0100
> Cc: Daniel Mendler <[email-masked]>, Dmitry Gutov <[email-masked]>, 
> 	Stefan Monnier <[email-masked]>, [email-masked], [email-masked]
> 
> On Mon, Aug 16, 2021 at 12:57 PM Eli Zaretskii <[email-masked]> wrote:
> 
> > I was talking about the infrastructure that produces the completion
> > candidates, not about the application that uses them.  My point is
> > that your approach requires the applications using the candidates to
> > copy them, whereas previously they could use them without copying.
> 
> If it helps, I think that that is true of all alternatives presented
> so far

Yes, I know.  I was comparing the proposed alternatives to what we
have now, and specifically because Dmitry mentioned this aspect.